Bug 969543 - Apache-based carts cannot be stopped if httpd.pid is corrupted
Apache-based carts cannot be stopped if httpd.pid is corrupted
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 14:33 EDT by Paul Morie
Modified: 2015-05-14 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:15:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-31 14:33:11 EDT
If httpd.pid is corrupted, stop fails for several apache-based carts.

to reproduce:

echo "" > httpd.pid
gear stop
Comment 2 Meng Bo 2013-06-03 05:48:07 EDT
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> cat php/run/httpd.pid 
3154
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> echo "test" > php/run/httpd.pid
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> ctl_app stop
Stopping gear...
CLIENT_MESSAGE: Stopping Apache+mod_php HTTPD server
httpd (no pid file) not running
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> ctl_app status
Cart to get the status for?
1. php-5.3
?  1
ATTR: status=ALREADY_STOPPED
ATTR: quota_blocks=1048576
ATTR: quota_files=40000
CLIENT_RESULT: Application is either stopped or inaccessible
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> ctl_app start
Starting gear...
CLIENT_MESSAGE: Starting Apache+mod_php HTTPD server
[php1-bmeng1stg.stg.rhcloud.com 51ac64c2dbd93c52950004b2]\> 


Verified on STG (devenv-stage_356).

App with httpd.pid corrupt can be stopped and can be started after that.

Note You need to log in before you can comment on or make changes to this bug.